require 'rubygems'
require 'em-http'
require 'openssl'
require 'logger'

unless defined?(S3restful)
  $:<<(File.expand_path(File.dirname(__FILE__) + "/lib"))
  require File.expand_path(File.dirname(__FILE__) + '/s3restful/utils')
  require File.expand_path(File.dirname(__FILE__) + '/s3restful/log')
  require File.expand_path(File.dirname(__FILE__) + '/s3restful/aws')
  require File.expand_path(File.dirname(__FILE__) + '/s3restful/s3')
  require File.expand_path(File.dirname(__FILE__) + '/s3restful/s3/request')
  require File.expand_path(File.dirname(__FILE__) + '/s3restful/s3/item')

  module S3restful
    MAJOR = 0
    MINOR = 2
    PATCH = 7

    VERSION = [MAJOR, MINOR, PATCH].compact.join('.')
    class Error < RuntimeError; end
  end
end
